# FFI::memset

(PHP 7 >= 7.4.0, PHP 8)

FFI::memset — Fills a memory area

### Descripción

public static FFI::memset(FFI\CData `&$ptr`, int `$value`, int `$size`): void

Fills `size` bytes of the memory area pointed to by `ptr` with the given byte `value`.

### Parámetros

`ptr`

  The start of the memory area to fill.

`value`

  The byte to fill with.

`size`

  The number of bytes to fill.

### Valores devueltos

No devuelve ningún valor.